
@Echo Off

Rem
Rem  NOTE:  The CACLS commands in this script are only effective
Rem         on NTFS formatted partitions.
Rem

Rem #########################################################################


Rem #########################################################################

Rem
Rem Verify that %RootDrive% has been configured and set it for this script.
Rem

Call "%SystemRoot%\Application Compatibility Scripts\ChkRoot.Cmd"
If "%_CHKROOT%" == "FAIL" Goto Done
Call "%SystemRoot%\Application Compatibility Scripts\SetPaths.Cmd"
If "%_SETPATHS%" == "FAIL" Goto Done

Rem #########################################################################

Rem
Rem Get the installation location of Remedy User 5.0 from the registry.  If
Rem not found, assume Remedy User isn't installed and display an error message.
Rem

..\ACRegL %Temp%\R5.Cmd REMINST "HKLM\SOFTWARE\Remedy\Remedy User\5.0" "InstallDir" ""

If Not ErrorLevel 1 Goto Cont0
Echo.
Echo Unable to retrieve Remedy User 5.0 installation location from the registry.
Echo Verify that Remedy User has already been installed and run this script
Echo again.
Echo.
Pause
Goto Done

:Cont0
Call %Temp%\R5.Cmd
Del %Temp%\R5.Cmd >Nul: 2>&1

Rem #########################################################################


Rem
Rem Change Registry Keys to make paths point to user specific
Rem directories.
Rem

Rem If not currently in Install Mode, change to Install Mode.
Set __OrigMode=Install
ChgUsr /query > Nul:
if Not ErrorLevel 101 Goto Begin
Set __OrigMode=Exec
Change User /Install > Nul:
:Begin

:acsrCont1
..\acsr "#ROOTDRIVE#" "%RootDrive%" Template\Remedy5.key Remedy5.key

regini Remedy5.key > Nul:

Rem If original mode was execute, change back to Execute Mode.
If "%__OrigMode%" == "Exec" Change User /Execute > Nul:
Set __OrigMode=

Rem #########################################################################

Rem
Rem Update Remedy5usr.Cmd to reflect actual installation directory and
Rem add it to the UsrLogn2.Cmd script
Rem

..\acsr "#INSTDIR#" "%REMINST%" ..\Logon\Template\Remedy5usr.cmd ..\Logon\Remedy5usr.cmd

FindStr /I Remedy5usr %SystemRoot%\System32\UsrLogn2.Cmd >Nul: 2>&1
If Not ErrorLevel 1 Goto Skip1
Echo Call Remedy5usr.cmd >> %SystemRoot%\System32\UsrLogn2.Cmd
:Skip1

Echo.
Echo   To insure proper operation of Remedy User 5.0, users who are
Echo   currently logged on must log off and log on again before
Echo   running any Remedy User 5.0 application.
Echo.
Echo Remedy User 5.0 Multi-user Application Tuning Complete
Pause

:done

















































































































































































































































